Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_SHMIOP_Transport Class Reference

Specialization of the base TAO_Transport class to handle the SHMIOP protocol. More...

`#include <SHMIOP_Transport.h>`

Inheritance diagram for TAO_SHMIOP_Transport:

[legend]
Collaboration diagram for TAO_SHMIOP_Transport:

[legend]
List of all members.

## Public Methods
| TAO_SHMIOP_Transport (TAO_SHMIOP_Connection_Handler *handler, TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor. More...
| ~TAO_SHMIOP_Transport (void)
| Default destructor. More...
virtual int | send_request (TAO_Stub *stub, TAO_ORB_Core *orb_core, TAO_OutputCDR &stream, int twoway, ACE_Time_Value *max_wait_time)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | send_message (TAO_OutputCDR &stream, TAO_Stub *stub=0, int twoway=1, ACE_Time_Value *max_time_wait=0)
virtual int | messaging_init (CORBA::Octet major, CORBA::Octet minor)
| Initialising the messaging object. More...
## Protected Methods
virtual ACE_Event_Handler * | event_handler_i (void)
virtual TAO_Pluggable_Messaging * | messaging_object (void)
virtual ssize_t | send_i (iovec *iov, int iovcnt, size_t &bytes_transferred, const ACE_Time_Value *timeout=0)
| Write the complete Message_Block chain to the connection. More...
virtual ssize_t | recv_i (char *buf, size_t len, const ACE_Time_Value *s=0)
| Read len bytes from into buf. More...
virtual int | consolidate_message (ACE_Message_Block &incoming, ssize_t missing_data, TAO_Resume_Handle &rh, ACE_Time_Value *max_wait_time)
virtual int | register_handler_i (void)
virtual void | transition_handler_state_i (void)
| Method to do whatever it needs to do when the connection handler is being closed and destroyed. More...
## Private Attributes
TAO_SHMIOP_Connection_Handler * | connection_handler_
| The connection service handler used for accessing lower layer communication protocols. More...
TAO_Pluggable_Messaging * | messaging_object_
| Our messaging object. More...

## Detailed Description

Specialization of the base TAO_Transport class to handle the SHMIOP protocol.

## Constructor & Destructor Documentation

TAO_SHMIOP_Transport::TAO_SHMIOP_Transport | ( | TAO_SHMIOP_Connection_Handler * | handler,
|  | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag
| ) |

| Constructor.

TAO_SHMIOP_Transport::~TAO_SHMIOP_Transport | ( | void |  | ) |

| Default destructor.

## Member Function Documentation

int TAO_SHMIOP_Transport::consolidate_message | ( | ACE_Message_Block & | incoming,
|  | ssize_t | missing_data,
|  | TAO_Resume_Handle & | rh,
|  | ACE_Time_Value * | max_wait_time
| ) | `[protected, virtual]`

| Reimplemented from TAO_Transport.

ACE_Event_Handler * TAO_SHMIOP_Transport::event_handler_i | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Transport.

int TAO_SHMIOP_Transport::messaging_init | ( | CORBA::Octet | major,
|  | CORBA::Octet | minor
| ) | `[virtual]`

| Initialising the messaging object. Reimplemented from TAO_Transport.

TAO_Pluggable_Messaging * TAO_SHMIOP_Transport::messaging_object | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Transport.

ssize_t TAO_SHMIOP_Transport::recv_i | ( | char * | buf,
|  | size_t | len,
|  | const ACE_Time_Value * | max_wait_time = 0
| ) | `[protected, virtual]`

| Read len bytes from into buf. Reimplemented from TAO_Transport.

int TAO_SHMIOP_Transport::register_handler_i | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Transport.

ssize_t TAO_SHMIOP_Transport::send_i | ( | iovec * | iov,
|  | int | iovcnt,
|  | size_t & | bytes_transferred,
|  | const ACE_Time_Value * | max_wait_time = 0
| ) | `[protected, virtual]`

| Write the complete Message_Block chain to the connection. Reimplemented from TAO_Transport.

int TAO_SHMIOP_Transport::send_message | ( | TAO_OutputCDR & | stream,
|  | TAO_Stub * | stub = 0,
|  | int | twoway = 1,
|  | ACE_Time_Value * | max_wait_time = 0
| ) | `[virtual]`

| Reimplemented from TAO_Transport.

int TAO_SHMIOP_Transport::send_request | ( | TAO_Stub * | stub,
|  | TAO_ORB_Core * | orb_core,
|  | TAO_OutputCDR & | stream,
|  | int | two_way,
|  | ACE_Time_Value * | max_wait_time
| ) | `[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

void TAO_SHMIOP_Transport::transition_handler_state_i | ( | void |  | ) | `[protected, virtual]`

| Method to do whatever it needs to do when the connection handler is being closed and destroyed. Reimplemented from TAO_Transport.

## Member Data Documentation

TAO_SHMIOP_Connection_Handler* TAO_SHMIOP_Transport::connection_handler_`[private]`

| The connection service handler used for accessing lower layer communication protocols.

TAO_Pluggable_Messaging* TAO_SHMIOP_Transport::messaging_object_`[private]`

| Our messaging object.

The documentation for this class was generated from the following files:

- SHMIOP_Transport.h
- SHMIOP_Transport.cpp